<?php
/*
  $Id: checkout_new_address.php,v 1.6 2005/10/05 16:43:18 manmachine Exp $
+-----------------------------------------------------------------------+
|                  osCSS Open Source E-commerce                         |
+-----------------------------------------------------------------------+
| Copyright (c) 2005 The osCSS developers                               |
|                                                                       |
| http://www.counteractdesign.com                                       |
|                                                                       |
| Portions Copyright (c) 2003 osCommerce                                |
+-----------------------------------------------------------------------+
| This source file is subject to version 2.0 of the GPL license,        |
| available at the following url:                                       |
| http://www.counteractdesign.com/license/2_0.txt.                      |
+-----------------------------------------------------------------------+
*/

  if (!isset($process)) $process = false;

  if (ACCOUNT_GENDER == 'true') {
    if (isset($gender)) {
      $male = ($gender == 'm') ? true : false;
      $female = ($gender == 'f') ? true : false;
      $mlle = ($gender == 'l') ? true : false;
    } else {
      $male = false;
      $female = false;
      $mlle = false;
    }
?>
  <fieldset>


  <p>
    <span><?php echo ENTRY_GENDER; ?></span>
    <?php echo tep_draw_radio_field('gender','genderMale', 'm', $male) ;?>
    <label for="genderMale"><?php echo MALE; ?></label>
    <?php echo tep_draw_radio_field('gender', 'genderFemale', 'f', $female) ;?>
    <label for="genderFemale"><?php echo FEMALE; ?></label>
    <?php echo tep_draw_radio_field('gender', 'genderFemale', 'l', $mlle) ;?>
    <label for="genderFemale"><?php echo MLLE; ?></label>
    <?php echo (tep_not_null(ENTRY_GENDER_TEXT) ? '<span class="notice">' . ENTRY_GENDER_TEXT . '</span>': ''); ?>
  </p>

<?php
  }
?>
  <p>
    <label for="firstname"><?php echo ENTRY_FIRST_NAME; ?></label>
    <?php echo tep_draw_input_field('firstname','firstname') ;?>
  <?php echo (tep_not_null(ENTRY_FIRST_NAME_TEXT) ? '<span class="notice">' . ENTRY_FIRST_NAME_TEXT . '</span>': ''); ?>
  </p>

         <p>
         <label for="addyLastname"><?php echo ENTRY_LAST_NAME; ?></label>
         <?php echo tep_draw_input_field('lastname','addyLastname') ; ?>
         <?php echo (tep_not_null(ENTRY_LAST_NAME_TEXT) ? '<span class="notice">' . ENTRY_LAST_NAME_TEXT . '</span>': ''); ?>
         </p>
<?php
  if (ACCOUNT_COMPANY == 'true') {
?>
            <p>
             <label for="addyCompany"><?php echo ENTRY_COMPANY; ?></label>
             <?php echo tep_draw_input_field('company','addyCompany') . '&nbsp;' . (tep_not_null(ENTRY_COMPANY_TEXT) ? '<span class="notice">' . ENTRY_COMPANY_TEXT . '</span>': ''); ?>
            </p>
<?php
  }
?>
            <p>
            <label for="addyStreet"><?php echo ENTRY_STREET_ADDRESS; ?></label>
            <?php echo tep_draw_input_field('street_address','addyStreet')  . '&nbsp;' . (tep_not_null(ENTRY_STREET_ADDRESS_TEXT) ? '<span class="notice">' . ENTRY_STREET_ADDRESS_TEXT . '</span>': ''); ?>
            </p>
<?php
  if (ACCOUNT_SUBURB == 'true') {
?>
            <p>
            <label for="addySuburb"><?php echo ENTRY_SUBURB; ?></label>
            <?php echo tep_draw_input_field('suburb','addySuburb') . '&nbsp;' . (tep_not_null(ENTRY_SUBURB_TEXT) ? '<span class="notice">' . ENTRY_SUBURB_TEXT . '</span>': ''); ?>
            </p>
<?php
  }
?>
            <p>
            <label for="addyPostcode"><?php echo ENTRY_POST_CODE; ?></label>
            <?php echo tep_draw_input_field('postcode','addyPostcode') . '&nbsp;' . (tep_not_null(ENTRY_POST_CODE_TEXT) ? '<span class="notice">' . ENTRY_POST_CODE_TEXT . '</span>': ''); ?>
            </p>

        <p>
            <label for="addyCity"><?php echo ENTRY_CITY; ?></label>
            <?php echo tep_draw_input_field('city','addyCity') . '&nbsp;' . (tep_not_null(ENTRY_CITY_TEXT) ? '<span class="notice">' . ENTRY_CITY_TEXT . '</span>': ''); ?>
            </p>
<?php
  if (ACCOUNT_STATE == 'true') {
?>
            <p>
            <label for="state"><?php echo ENTRY_STATE; ?></label>

<?php
    if ($process == true) {
      if ($entry_state_has_zones == true) {
        $zones_array = array();
        $zones_query = tep_db_query("select zone_name from " . TABLE_ZONES . " where zone_country_id = '" . (int)$country . "' order by zone_name");
        while ($zones_values = tep_db_fetch_array($zones_query)) {
          $zones_array[] = array('id' => $zones_values['zone_name'], 'text' => $zones_values['zone_name']);
        }
        echo tep_draw_pull_down_menu('state','state', $zones_array);
      } else {
        echo tep_draw_input_field('state','state');
      }
    } else {
      echo tep_draw_input_field('state','state', tep_get_zone_name($entry['entry_country_id'], $entry['entry_zone_id'], $entry['entry_state']));
    }

    if (tep_not_null(ENTRY_STATE_TEXT)) echo '&nbsp;<span class="notice">' . ENTRY_STATE_TEXT .'</span>';
?>
          </p>
<?php
  }
?>
            <p>
            <label for="country"><?php echo ENTRY_COUNTRY; ?></label>
            <?php echo tep_get_country_list('country','country', $entry['entry_country_id']) . '&nbsp;' . (tep_not_null(ENTRY_COUNTRY_TEXT) ? '<span class="notice">' . ENTRY_COUNTRY_TEXT . '</span>': ''); ?>
            </p>
</fieldset>